Assign permissions on the visual to a list of Security Identities (groups, users, account)
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
[
{
"sid": {
"id": "5ea2da788669fa30869b50b4",
"type": "ACCOUNT"
},
"permissions": []
}
]
'import requests
url = "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk"
payload = [
{
"sid": {
"id": "5ea2da788669fa30869b50b4",
"type": "ACCOUNT"
},
"permissions": []
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify([{sid: {id: '5ea2da788669fa30869b50b4', type: 'ACCOUNT'}, permissions: []}])
};
fetch('http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'sid' => [
'id' => '5ea2da788669fa30869b50b4',
'type' => 'ACCOUNT'
],
'permissions' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk"
payload := strings.NewReader("[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]"
response = http.request(request)
puts response.read_bodyAssign permissions on the visual to a list of Security Identities (groups, users, account)
Assign permissions on the visual to a list of Security Identities (groups, users, account)
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
[
{
"sid": {
"id": "5ea2da788669fa30869b50b4",
"type": "ACCOUNT"
},
"permissions": []
}
]
'import requests
url = "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk"
payload = [
{
"sid": {
"id": "5ea2da788669fa30869b50b4",
"type": "ACCOUNT"
},
"permissions": []
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify([{sid: {id: '5ea2da788669fa30869b50b4', type: 'ACCOUNT'}, permissions: []}])
};
fetch('http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'sid' => [
'id' => '5ea2da788669fa30869b50b4',
'type' => 'ACCOUNT'
],
'permissions' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk"
payload := strings.NewReader("[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals/{id}/acls/bulk")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "[\n {\n \"sid\": {\n \"id\": \"5ea2da788669fa30869b50b4\",\n \"type\": \"ACCOUNT\"\n },\n \"permissions\": []\n }\n]"
response = http.request(request)
puts response.read_bodyAuthorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Visual identifier
Body
application/vnd.composer.v3+json
Response
The permissions were assigned successfully
Was this page helpful?